Get a user's heatmap
GET
/users/{username}/heatmap
const url = 'https://gitea.com/api/v1/users/example/heatmap';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.com/api/v1/users/example/heatmap \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”username
required
string
Username of the user whose heatmap is to be obtained
Responses
Section titled “Responses”UserHeatmapData
Media typeapplication/json
Array<object>
UserHeatmapData represents the data needed to create a heatmap
object
contributions
integer format: int64
timestamp
TimeStamp defines a timestamp
integer format: int64
Examplegenerated
[ { "contributions": 1, "timestamp": 1 }]APINotFound is a not found empty response
Media typeapplication/json